1. ZyX_I
  2. aurum

Commits

ZyX_I  committed 3b10a0c

Added four :AuGlog tests

  • Participants
  • Parent commits 1f93d76
  • Branches default

Comments (0)

Files changed (15)

File test/addmessages.vim

View file
  • Ignore whitespace
+redir => s:messages
+messages
+redir END
+let s:meslines=split(s:messages, "\n")[1:]
+if !empty(s:meslines)
+    call writefile(readfile(g:outfile, 'b')+
+                \  ['>>> Messages:']+
+                \  s:meslines+
+                \  ['<<< Messages^'], g:outfile, 'b')
+endif

File test/createrepo.zsh

View file
  • Ignore whitespace
+#!/bin/zsh
+emulate -L zsh
+set -e
+(
+    set -e
+    hg init testrepo
+    cd testrepo
+    cp ../createrepo.zsh .
+    hg commit -A -m 'Added «createrepo.zsh»'
+    hg mv createrepo.zsh crepo.zsh
+    hg commit -A -m 'Renamed «createrepo.zsh» to «crepo.zsh»'
+    perl -p -i -e 'tr/()/{}/' crepo.zsh
+    hg commit -m $'Replaced\n    (\n        ...\n    )\nwith\n    {\n        ...\n    }'
+    hg mv crepo.zsh chgrepo.zsh
+    hg commit -A -m 'Renamed «crepo.zsh» to «chgrepo.zsh»'
+    cat chgrepo.zsh | perl -p -i -e 'undef $_ unless /^    hg /' > hglines.lst
+    hg commit -A -m 'Added «hglines.lst»'
+    hg branch A
+    cat chgrepo.zsh | grep 'd' > dlines.lst
+    hg commit -A -m 'Added dlines.lst'
+    hg branch B
+    cat chgrepo.zsh | grep 'a' > alines.lst
+    hg commit -A -m 'Added alines.lst'
+    hg branch C
+    cat alines.lst | grep 'b' > ablines.lst
+    hg commit -A -m 'Added ablines.lst'
+    hg tag ablines
+    hg update default
+    hg merge -r ablines
+    hg commit -m 'Merge from C'
+    hg update C
+    cat chgrepo.zsh | grep 'b' > blines.lst
+    hg commit -A -m 'Added blines.lst'
+    hg tag blines
+    hg update -r -2
+    cat chgrepo.zsh | sort | grep 'c' > clines.lst
+    hg commit -A -m 'Added clines.lst'
+    hg tag clines
+    hg update A
+    hg merge -r B
+    hg commit -m 'Merge from B'
+    hg merge -r clines
+    hg commit -m 'Merge from C:2'
+    hg update default
+    hg merge -r blines
+    hg commit -m 'Merge from C:1'
+    hg merge -r A
+    hg commit -m 'Merge from A'
+    hg cp hglines.lst hglines2.lst
+    hg commit -A -m 'Copied “hglines.lst” to “hglines2.lst”'
+    cat chgrepo.zsh | perl -p -i -e 'undef $_ if /^    hg /' > nohglines.lst
+    hg commit -A -m 'Added nohglines.lst'
+    cat nohglines.lst | rev > nohglinesrev.lst
+    hg commit -A -m 'Added nohglinesrev.lst'
+    seq 1 10 | tr ' ' $'\n' > ignored10.lst
+    hg commit -A -m 'Added ignored10.lst'
+    echo $'syntax: glob\nignored*' > .hgignore
+    hg commit -A -m 'Added .hgignore'
+    echo abc >> nohglinesrev.lst
+    echo 'Def' > addeddef && hg add addeddef
+    hg rm hglines2.lst
+    rm nohglines.lst
+    cat hglines.lst | rev > hglinesrev.lst
+    echo 'Abc' > ignoredabc
+)
+tar cJf testrepo.tar.xz testrepo

File test/gentests-setuprtp.zsh

View file
  • Ignore whitespace
+#!/bin/zsh
+emulate -L zsh
+cat runtime.tar.xz | unxz | (cd ../rtp && tar x)

File test/gentests-setuptestrepo.zsh

View file
  • Ignore whitespace
+#!/bin/zsh
+emulate -L zsh
+tar xJf testrepo.tar.xz

File test/glog-files.in

View file
  • Ignore whitespace
+:Run AuGlog showfiles
+:source addmessages.vim

File test/glog-files.ok

View file
  • Ignore whitespace
+@  Changeset 22:fb54f57fdeb8bbcd44c9077cff71b241f4da113a
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  Tag: tip
+|  Files: .hgignore, .hgtags, ablines.lst, alines.lst, blines.lst, chgrepo.zsh
+|  Files: clines.lst, dlines.lst, hglines.lst, hglines2.lst, ignored10.lst
+|  Files: nohglines.lst, nohglinesrev.lst
+|    Added .hgignore
+|  
+o  Changeset 21:9b4255aa6bc98ec5daf039458c71942ae076a618
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  Files: .hgtags, ablines.lst, alines.lst, blines.lst, chgrepo.zsh, clines.lst
+|  Files: dlines.lst, hglines.lst, hglines2.lst, ignored10.lst, nohglines.lst
+|  Files: nohglinesrev.lst
+|    Added ignored10.lst
+|  
+o  Changeset 20:be3c66e5da440f6d2a932352a48364e0b3378470
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  Files: .hgtags, ablines.lst, alines.lst, blines.lst, chgrepo.zsh, clines.lst
+|  Files: dlines.lst, hglines.lst, hglines2.lst, nohglines.lst
+|  Files: nohglinesrev.lst
+|    Added nohglinesrev.lst
+|  
+o  Changeset 19:9ad8a622827dbce82ac42cdb0cabd7b316168ff4
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  Files: .hgtags, ablines.lst, alines.lst, blines.lst, chgrepo.zsh, clines.lst
+|  Files: dlines.lst, hglines.lst, hglines2.lst, nohglines.lst
+|    Added nohglines.lst
+|  
+o  Changeset 18:9146f4b5dc6cb7c6a58ffea0cd7b60b6ca2bfc18
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  Files: .hgtags, ablines.lst, alines.lst, blines.lst, chgrepo.zsh, clines.lst
+|  Files: dlines.lst, hglines.lst, hglines2.lst
+|    Copied “hglines.lst” to “hglines2.lst”
+|  
+o    Changeset 17:13ad7dde0ae2a9b8cc9d902388cd6fb98c5922f9
+|\   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| |  Files: .hgtags, ablines.lst, alines.lst, blines.lst, chgrepo.zsh, clines.lst
+| |  Files: dlines.lst, hglines.lst
+| |    Merge from A
+| |  
+o |    Changeset 16:b7135e96c1c46a7cad18df4bb6b1bb8a9ac54afb
+|\ \   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | |  Files: .hgtags, ablines.lst, alines.lst, blines.lst, chgrepo.zsh, dlines.lst
+| | |  Files: hglines.lst
+| | |    Merge from C:1
+| | |  
+| | o    Changeset 15:cfa0a4249bb9d0fb1ae8ef02ff1a10b519054611 (branch A)
+| | |\   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |  Files: .hgtags, ablines.lst, alines.lst, blines.lst, chgrepo.zsh, clines.lst
+| | | |  Files: dlines.lst, hglines.lst
+| | | |    Merge from C:2
+| | | |  
+| | o |    Changeset 14:0b8f5fdba2a71ef1a79b9ffdb0afa0ac94f76716 (branch A)
+| | |\ \   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | | |  Files: alines.lst, chgrepo.zsh, dlines.lst, hglines.lst
+| | | | |    Merge from B
+| | | | |  
+| | | | | o  Changeset 13:ba8046a71596511a4f13901616b41120ea61bc8e (branch C)
+| | | | |/   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | | |    Files: .hgtags, ablines.lst, alines.lst, blines.lst, chgrepo.zsh, clines.lst
+| | | | |    Files: dlines.lst, hglines.lst
+| | | | |      Added tag clines for changeset 5e3ef1cd0c9f
+| | | | |    
+| +-----o  Changeset 12:5e3ef1cd0c9fe2fe42be91078f3712ba0550afce (branch C)
+| | | |    Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |    Tag: clines
+| | | |    Files: .hgtags, ablines.lst, alines.lst, blines.lst, chgrepo.zsh, clines.lst
+| | | |    Files: dlines.lst, hglines.lst
+| | | |      Added clines.lst
+| | | |    
+| +-----o  Changeset 11:2dff1ac645e07b044649ff98d0bceb023c2d1de0 (branch C)
+| | | |    Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |    Files: .hgtags, ablines.lst, alines.lst, blines.lst, chgrepo.zsh, dlines.lst
+| | | |    Files: hglines.lst
+| | | |      Added tag blines for changeset 243dc6d0ce8f
+| | | |    
+| o | |  Changeset 10:243dc6d0ce8f9eaa2142dcef841063ce6fe1396d (branch C)
+| | | |  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |  Tag: blines
+| | | |  Files: .hgtags, ablines.lst, alines.lst, blines.lst, chgrepo.zsh, dlines.lst
+| | | |  Files: hglines.lst
+| | | |    Added blines.lst
+| | | |  
+o | | |    Changeset 9:f0387f3355b4bd8eb2c2a4411c4c29da2ae2c362
+|\ \ \ \   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | | |  Files: ablines.lst, alines.lst, chgrepo.zsh, dlines.lst, hglines.lst
+| | | | |    Merge from C
+| | | | |  
+| | o | |  Changeset 8:7a4ac2871f43a58aa8c0be2f3b0dae0cb6f6d7f9 (branch C)
+| |/ / /   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |    Files: .hgtags, ablines.lst, alines.lst, chgrepo.zsh, dlines.lst, hglines.lst
+| | | |      Added tag ablines for changeset bf36e8caa4f9
+| | | |    
+| o---+  Changeset 7:bf36e8caa4f9335962c7c59ce9ea9698fd397998 (branch C)
+|   | |  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  / /   Tag: ablines
+| | |    Files: ablines.lst, alines.lst, chgrepo.zsh, dlines.lst, hglines.lst
+| | |      Added ablines.lst
+| | |    
+| | o  Changeset 6:137a599b3c87fe0e176d4c13e41a820d3805eed1 (branch B)
+| |/   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| |    Files: alines.lst, chgrepo.zsh, dlines.lst, hglines.lst
+| |      Added alines.lst
+| |    
+| o  Changeset 5:14926fd5387f6cba5fe5069b494b03257829241f (branch A)
+|/   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Files: chgrepo.zsh, dlines.lst, hglines.lst
+|      Added dlines.lst
+|    
+o  Changeset 4:a13e6a2e4714119476b321d5c5a443cd835be679
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  Files: chgrepo.zsh, hglines.lst
+|    Added «hglines.lst»
+|  
+o  Changeset 3:29186f9cce5663861c1efd275067937aba8bb6f3
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  Files: chgrepo.zsh
+|    Renamed «crepo.zsh» to «chgrepo.zsh»
+|  
+o  Changeset 2:9a656b2d0d13b7d73db5b4ff5f4c4a5c4afeec86
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  Files: crepo.zsh
+|    Replaced
+|        (
+|            ...
+|        )
+|    with
+|        {
+|            ...
+|        }
+|  
+o  Changeset 1:9d4c5d1f4ea46189c5d1069049fda9642a70f555
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  Files: crepo.zsh
+|    Renamed «createrepo.zsh» to «crepo.zsh»
+|  
+o  Changeset 0:03a5e8487083d5448bad4b00a926519b1fee88d3
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  Files: createrepo.zsh
+|    Added «createrepo.zsh»
+|  

File test/glog-limit.in

View file
  • Ignore whitespace
+:Run AuGlog limit 10
+:source addmessages.vim

File test/glog-limit.ok

View file
  • Ignore whitespace
+@  Changeset 22:fb54f57fdeb8bbcd44c9077cff71b241f4da113a
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  Tag: tip
+|    Added .hgignore
+|  
+o  Changeset 21:9b4255aa6bc98ec5daf039458c71942ae076a618
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Added ignored10.lst
+|  
+o  Changeset 20:be3c66e5da440f6d2a932352a48364e0b3378470
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Added nohglinesrev.lst
+|  
+o  Changeset 19:9ad8a622827dbce82ac42cdb0cabd7b316168ff4
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Added nohglines.lst
+|  
+o  Changeset 18:9146f4b5dc6cb7c6a58ffea0cd7b60b6ca2bfc18
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Copied “hglines.lst” to “hglines2.lst”
+|  
+o    Changeset 17:13ad7dde0ae2a9b8cc9d902388cd6fb98c5922f9
+|\   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| |    Merge from A
+| |  
+o |    Changeset 16:b7135e96c1c46a7cad18df4bb6b1bb8a9ac54afb
+|\ \   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | |    Merge from C:1
+| | |  
+| | o    Changeset 15:cfa0a4249bb9d0fb1ae8ef02ff1a10b519054611 (branch A)
+| | |\   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |    Merge from C:2
+| | | |  
+| | o |    Changeset 14:0b8f5fdba2a71ef1a79b9ffdb0afa0ac94f76716 (branch A)
+| | |\ \   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | | |    Merge from B
+| | | | |  
+| | | | | o  Changeset 13:ba8046a71596511a4f13901616b41120ea61bc8e (branch C)
+| | | | |/   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | | |      Added tag clines for changeset 5e3ef1cd0c9f
+| | | | |    

File test/glog-repo.in

View file
  • Ignore whitespace
+:Run! AuGlog ./testrepo
+:source addmessages.vim

File test/glog-repo.ok

View file
  • Ignore whitespace
+@  Changeset 22:fb54f57fdeb8bbcd44c9077cff71b241f4da113a
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  Tag: tip
+|    Added .hgignore
+|  
+o  Changeset 21:9b4255aa6bc98ec5daf039458c71942ae076a618
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Added ignored10.lst
+|  
+o  Changeset 20:be3c66e5da440f6d2a932352a48364e0b3378470
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Added nohglinesrev.lst
+|  
+o  Changeset 19:9ad8a622827dbce82ac42cdb0cabd7b316168ff4
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Added nohglines.lst
+|  
+o  Changeset 18:9146f4b5dc6cb7c6a58ffea0cd7b60b6ca2bfc18
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Copied “hglines.lst” to “hglines2.lst”
+|  
+o    Changeset 17:13ad7dde0ae2a9b8cc9d902388cd6fb98c5922f9
+|\   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| |    Merge from A
+| |  
+o |    Changeset 16:b7135e96c1c46a7cad18df4bb6b1bb8a9ac54afb
+|\ \   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | |    Merge from C:1
+| | |  
+| | o    Changeset 15:cfa0a4249bb9d0fb1ae8ef02ff1a10b519054611 (branch A)
+| | |\   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |    Merge from C:2
+| | | |  
+| | o |    Changeset 14:0b8f5fdba2a71ef1a79b9ffdb0afa0ac94f76716 (branch A)
+| | |\ \   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | | |    Merge from B
+| | | | |  
+| | | | | o  Changeset 13:ba8046a71596511a4f13901616b41120ea61bc8e (branch C)
+| | | | |/   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | | |      Added tag clines for changeset 5e3ef1cd0c9f
+| | | | |    
+| +-----o  Changeset 12:5e3ef1cd0c9fe2fe42be91078f3712ba0550afce (branch C)
+| | | |    Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |    Tag: clines
+| | | |      Added clines.lst
+| | | |    
+| +-----o  Changeset 11:2dff1ac645e07b044649ff98d0bceb023c2d1de0 (branch C)
+| | | |    Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |      Added tag blines for changeset 243dc6d0ce8f
+| | | |    
+| o | |  Changeset 10:243dc6d0ce8f9eaa2142dcef841063ce6fe1396d (branch C)
+| | | |  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |  Tag: blines
+| | | |    Added blines.lst
+| | | |  
+o | | |    Changeset 9:f0387f3355b4bd8eb2c2a4411c4c29da2ae2c362
+|\ \ \ \   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | | |    Merge from C
+| | | | |  
+| | o | |  Changeset 8:7a4ac2871f43a58aa8c0be2f3b0dae0cb6f6d7f9 (branch C)
+| |/ / /   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |      Added tag ablines for changeset bf36e8caa4f9
+| | | |    
+| o---+  Changeset 7:bf36e8caa4f9335962c7c59ce9ea9698fd397998 (branch C)
+|   | |  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  / /   Tag: ablines
+| | |      Added ablines.lst
+| | |    
+| | o  Changeset 6:137a599b3c87fe0e176d4c13e41a820d3805eed1 (branch B)
+| |/   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| |      Added alines.lst
+| |    
+| o  Changeset 5:14926fd5387f6cba5fe5069b494b03257829241f (branch A)
+|/   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|      Added dlines.lst
+|    
+o  Changeset 4:a13e6a2e4714119476b321d5c5a443cd835be679
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Added «hglines.lst»
+|  
+o  Changeset 3:29186f9cce5663861c1efd275067937aba8bb6f3
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Renamed «crepo.zsh» to «chgrepo.zsh»
+|  
+o  Changeset 2:9a656b2d0d13b7d73db5b4ff5f4c4a5c4afeec86
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Replaced
+|        (
+|            ...
+|        )
+|    with
+|        {
+|            ...
+|        }
+|  
+o  Changeset 1:9d4c5d1f4ea46189c5d1069049fda9642a70f555
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Renamed «createrepo.zsh» to «crepo.zsh»
+|  
+o  Changeset 0:03a5e8487083d5448bad4b00a926519b1fee88d3
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Added «createrepo.zsh»
+|  

File test/glog.in

View file
  • Ignore whitespace
+:Run AuGlog
+:source addmessages.vim

File test/glog.ok

View file
  • Ignore whitespace
+@  Changeset 22:fb54f57fdeb8bbcd44c9077cff71b241f4da113a
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  Tag: tip
+|    Added .hgignore
+|  
+o  Changeset 21:9b4255aa6bc98ec5daf039458c71942ae076a618
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Added ignored10.lst
+|  
+o  Changeset 20:be3c66e5da440f6d2a932352a48364e0b3378470
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Added nohglinesrev.lst
+|  
+o  Changeset 19:9ad8a622827dbce82ac42cdb0cabd7b316168ff4
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Added nohglines.lst
+|  
+o  Changeset 18:9146f4b5dc6cb7c6a58ffea0cd7b60b6ca2bfc18
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Copied “hglines.lst” to “hglines2.lst”
+|  
+o    Changeset 17:13ad7dde0ae2a9b8cc9d902388cd6fb98c5922f9
+|\   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| |    Merge from A
+| |  
+o |    Changeset 16:b7135e96c1c46a7cad18df4bb6b1bb8a9ac54afb
+|\ \   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | |    Merge from C:1
+| | |  
+| | o    Changeset 15:cfa0a4249bb9d0fb1ae8ef02ff1a10b519054611 (branch A)
+| | |\   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |    Merge from C:2
+| | | |  
+| | o |    Changeset 14:0b8f5fdba2a71ef1a79b9ffdb0afa0ac94f76716 (branch A)
+| | |\ \   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | | |    Merge from B
+| | | | |  
+| | | | | o  Changeset 13:ba8046a71596511a4f13901616b41120ea61bc8e (branch C)
+| | | | |/   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | | |      Added tag clines for changeset 5e3ef1cd0c9f
+| | | | |    
+| +-----o  Changeset 12:5e3ef1cd0c9fe2fe42be91078f3712ba0550afce (branch C)
+| | | |    Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |    Tag: clines
+| | | |      Added clines.lst
+| | | |    
+| +-----o  Changeset 11:2dff1ac645e07b044649ff98d0bceb023c2d1de0 (branch C)
+| | | |    Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |      Added tag blines for changeset 243dc6d0ce8f
+| | | |    
+| o | |  Changeset 10:243dc6d0ce8f9eaa2142dcef841063ce6fe1396d (branch C)
+| | | |  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |  Tag: blines
+| | | |    Added blines.lst
+| | | |  
+o | | |    Changeset 9:f0387f3355b4bd8eb2c2a4411c4c29da2ae2c362
+|\ \ \ \   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | | |    Merge from C
+| | | | |  
+| | o | |  Changeset 8:7a4ac2871f43a58aa8c0be2f3b0dae0cb6f6d7f9 (branch C)
+| |/ / /   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| | | |      Added tag ablines for changeset bf36e8caa4f9
+| | | |    
+| o---+  Changeset 7:bf36e8caa4f9335962c7c59ce9ea9698fd397998 (branch C)
+|   | |  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|  / /   Tag: ablines
+| | |      Added ablines.lst
+| | |    
+| | o  Changeset 6:137a599b3c87fe0e176d4c13e41a820d3805eed1 (branch B)
+| |/   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+| |      Added alines.lst
+| |    
+| o  Changeset 5:14926fd5387f6cba5fe5069b494b03257829241f (branch A)
+|/   Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|      Added dlines.lst
+|    
+o  Changeset 4:a13e6a2e4714119476b321d5c5a443cd835be679
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Added «hglines.lst»
+|  
+o  Changeset 3:29186f9cce5663861c1efd275067937aba8bb6f3
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Renamed «crepo.zsh» to «chgrepo.zsh»
+|  
+o  Changeset 2:9a656b2d0d13b7d73db5b4ff5f4c4a5c4afeec86
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Replaced
+|        (
+|            ...
+|        )
+|    with
+|        {
+|            ...
+|        }
+|  
+o  Changeset 1:9d4c5d1f4ea46189c5d1069049fda9642a70f555
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Renamed «createrepo.zsh» to «crepo.zsh»
+|  
+o  Changeset 0:03a5e8487083d5448bad4b00a926519b1fee88d3
+|  Commited 10 Aug 2011 19:32 by ZyX <kp-pav@yandex.ru>
+|    Added «createrepo.zsh»
+|  

File test/runtime.tar.xz

  • Ignore whitespace
Binary file added.

File test/testrepo.tar.xz

  • Ignore whitespace
Binary file added.

File test/vimrc

View file
  • Ignore whitespace
+syntax on
+let g:outfile=fnamemodify(g:outfile, ':p')
+function s:Run(bang, cmd)
+    let reporoot=g:curtest.'repo'
+    if !a:bang
+        if !isdirectory(reporoot)
+            execute '!hg clone testrepo '.g:curtest.'repo'
+        endif
+        execute 'cd' fnameescape(reporoot)
+    endif
+    execute a:cmd
+    if !a:bang
+        cd ..
+    endif
+    execute 'silent write! >> '.fnameescape(g:outfile)
+endfunction
+command -nargs=1 -bang Run :call s:Run(<bang>0, <q-args>)